%{?scl:%scl_package nodejs-columnify}
%{!?scl:%global pkg_name %{name}}

%global npm_name columnify
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:		nodejs-columnify
Version:	1.5.1
Release:	1%{?dist}
Summary:	Render data in text columns. supports in-column text-wrap.
Url:		https://github.com/timoxley/columnify
Source0:	https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
License:	MIT

BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

BuildRequires:	nodejs-devel
BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(babel)
BuildRequires:	npm(chalk)
BuildRequires:	npm(tap-spec)
BuildRequires:	npm(tape))
%endif

BuildRequires:	npm(strip-ansi)
BuildRequires:	npm(wcwidth)

Requires:	npm(strip-ansi)
Requires:	npm(wcwidth)

%description
Render data in text columns. supports in-column text-wrap.

%prep
%setup -q -n package

%{nodejs_fixdep} strip-ansi

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}

cp -pr package.json index.js utils.js width.js columnify.js  \
	%{buildroot}%{nodejs_sitelib}/%{npm_name}

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
npm prune
make prepublish && tape test/*.js | tap-spec
npm test && node bench
make prepublish
%endif

%files
%{nodejs_sitelib}/columnify

%doc Readme.md
%license LICENSE

%changelog
* Fri May 22 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.5.1-1
- New upstream release
- removed rm -rf %%buildroot from %%install and %%clean section
- removed unnecessary %%nodejs_fixdep macro
- minor changes

* Thu Mar 19 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.3.2-4
- AddedExclusiveArch, nodejs-packaging dependency, %%nodejs_fixdep macros, %%check and %%license
- removed BuildRoot and %%defattr

* Fri Jan 09 2015 Tomas Hrcka <thrcka@redhat.com> - 1.3.2-3
- New upstream release 1.3.2

* Mon Feb 17 2014 Tomas Hrcka <thrcka@redhat.com> - 0.1.2-1
- Initial build 

